Your submission was sent successfully! Close

CVE-2017-18219

Published: 05 March 2018

An issue was discovered in GraphicsMagick 1.3.26. An allocation failure vulnerability was found in the function ReadOnePNGImage in coders/png.c, which allows attackers to cause a denial of service via a crafted file that triggers an attempt at a large png_pixels array allocation.

From the Ubuntu security team

It was discovered that GraphicsMagick incorrectly handled certain image files. An attacker could possibly use this issue to cause a denial of service or other unspecified impact.

Priority

Low

CVSS 3 base score: 6.5

Status

Package Release Status
graphicsmagick
Launchpad, Ubuntu, Debian
Upstream
Released (1.3.27-1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(1.3.28-1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1.3.28-1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.3.28-1)
Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(1.3.28-1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1.3.23-1ubuntu0.6)
Ubuntu 14.04 ESM (Trusty Tahr) Needed